Skip to main content
GET
/
api
/
client
/
v2
/
prospect-list
/
get-campaign-lists
List Prospect Lists on Campaign
curl --request GET \
  --url https://prod-nginx-v2.goextrovert.com/webgateway/api/client/v2/prospect-list/get-campaign-lists \
  --header 'X-API-Key: <api-key>'
{
  "status": "success",
  "data": [
    {
      "id": "cf33282b-b171-4d23-ae02-848499d793e4",
      "updatedAt": "2025-06-30T14:02:07.456Z",
      "createdAt": "2025-06-30T14:02:07.456Z",
      "name": "<string>",
      "campaignId": "8d256aa6-9b12-49a7-93ee-bf41634b5b60",
      "prospectsTotal": 123,
      "prospectsEnriching": 123
    }
  ],
  "message": "Operation completed successfully"
}

Authorizations

X-API-Key
string
header
required

API Key for authentication

Query Parameters

id
string<uuid>
required

ID of the campaign whose prospect lists should be returned.

Response

status
enum<string>
required

Response status

Available options:
success
data
object[]
required

Prospect lists attached to the requested campaign

message
string
required

Success message

Example:

"Operation completed successfully"